package com.uas.platform.b2b.temporary.model;

import java.io.Serializable;

/**
 * 工作进程
 * 
 * @author hejq
 * @time 创建时间：2017年3月18日
 */
public class MobileDocumentsProcess implements Serializable, Comparable<MobileDocumentsProcess> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long jn_id;
	private String jn_name;
	private Long jn_dealmanid;
	private String jn_dealmanname;
	private String jn_dealTime;
	private String jn_result;
	private String jn_nodeDescription;

	public Long getJn_id() {
		return jn_id;
	}

	public void setJn_id(Long jn_id) {
		this.jn_id = jn_id;
	}

	public String getJn_name() {
		return jn_name;
	}

	public void setJn_name(String jn_name) {
		this.jn_name = jn_name;
	}

	public Long getJn_dealmanid() {
		return jn_dealmanid;
	}

	public void setJn_dealmanid(Long jn_dealmanid) {
		this.jn_dealmanid = jn_dealmanid;
	}

	public String getJn_dealmanname() {
		return jn_dealmanname;
	}

	public void setJn_dealmanname(String jn_dealmanname) {
		this.jn_dealmanname = jn_dealmanname;
	}

	public String getJn_dealTime() {
		return jn_dealTime;
	}

	public void setJn_dealTime(String jn_dealTime) {
		this.jn_dealTime = jn_dealTime;
	}

	public String getJn_result() {
		return jn_result;
	}

	public void setJn_result(String jn_result) {
		this.jn_result = jn_result;
	}

	public String getJn_nodeDescription() {
		return jn_nodeDescription;
	}

	public void setJn_nodeDescription(String jn_nodeDescription) {
		this.jn_nodeDescription = jn_nodeDescription;
	}

	@Override
	public int compareTo(MobileDocumentsProcess o) {
		return this.jn_id.compareTo(o.jn_id);
	}

}
